Enchant Generic spell checking library

Public Member Functions | Friends | List of all members
enchant::Dict Class Reference

## Public Member Functions
bool | check (const std::string &utf8word)
void | suggest (const std::string &utf8word, std::vector< std::string > &out_suggestions)
std::vector< std::string > | suggest (const std::string &utf8word)
void | add (const std::string &utf8word)
void | add_to_session (const std::string &utf8word)
bool | is_added (const std::string &utf8word)
void | remove (const std::string &utf8word)
void | remove_from_session (const std::string &utf8word)
void | is_removed (const std::string &utf8word)
void | store_replacement (const std::string &utf8bad, const std::string &utf8good)
const std::string & | get_lang () const
const std::string & | get_provider_name () const
const std::string & | get_provider_desc () const
const std::string & | get_provider_file () const

## Friends
class | enchant::Broker

The documentation for this class was generated from the following file:

- src/enchant++.h